html{
	font-size: 2rem;
	overflow-x: hidden;
}
*{
scrollbar-color: #171A1F #202630;
scrollbar-width: thin;
}
body{
background-color: #000000;
padding: 0px;
margin: 0px;
overflow-y: auto;
overflow-x: hidden;
display: grid;
grid-template-columns: 1fr;
grid-template-rows: 4rem auto auto 1rem;
grid-template-areas: 'nav' 'dropdown' 'content' 'footer';
}
.header{
	grid-area: header;
	background-color: #10101b;
	color: #eeeeee;
	font-size: 1.5rem;
	font-weight: 800;
	padding: 1rem;
	text-align: center;
}
.slideshow{
	grid-area: banner;
	background: #202025;
	padding: 0.5rem;
}
#banner{
position: relative;
height: 100%;
width: 100%;
display: grid;
grid-template-columns: 0% 10% 10% 1fr 10% 10%;
grid-template-rows: 100%;
grid-template-areas: '0 1 2 3 4 5';
grid-gap: 0px;
/*animation: squish 20s infinite;*/
overflow-x: hidden;
overflow-y: hidden;
/*box-shadow: inset 0px -20px 50px #00000050;*/
}
@keyframes squish{
	0%{
	grid-template-columns: 10% 80% 2.5% 2.5% 2.5% 2.5%;
	}
	16%{
	grid-template-columns: 10% 80% 2.5% 2.5% 2.5% 2.5%;
	}
	20%{
	grid-template-columns: 0% 10% 80% 3.33% 3.33% 3.33%;
	}
	36%{
	grid-template-columns: 0% 10% 80% 3.33% 3.33% 3.33%;
	}
	40%{
	grid-template-columns: 0% 5% 5% 80% 5% 5%;
	}
	56%{
	grid-template-columns: 0% 5% 5% 80% 5% 5%;
	}
	60%{
	grid-template-columns: 0% 3.33% 3.33% 3.33% 80% 10%;
	}
	76%{
	grid-template-columns: 0% 3.33% 3.33% 3.33% 80% 10%;
	}
	80%{
	grid-template-columns: 0% 2.5% 2.5% 2.5% 2.5% 80%;
	}
	96%{
	grid-template-columns: 0% 2.5% 2.5% 2.5% 2.5% 80%;
	}
	100%{
	grid-template-columns: 10% 80% 2.5% 2.5% 2.5% 2.5%;
	}
}
#banner *{
border-radius: 20px;
}
#banner .bannerPhoto{
height: 100%;
display: inline-block;
position: relative;
transform-origin: 50% 50%;
overflow-x: hidden;
overflow-y: hidden;
align-content: center;
text-align: center;
/*box-shadow: #202025 0px 0px 5rem 5rem;*/
}
#banner .bannerPhoto:first-child, #banner .bannerPhoto:last-child{
box-shadow: none;
}
#banner .overlayOff{
}/*
#banner .bannerPhoto .overlay{
height: 100%;
width: 100%;
background-color: #ffffffdd;
position: absolute;
transition: 0.5s;
}*/
#banner .overlayOff .overlay{
background-color: #ffffff00;
}
#banner .bannerPhoto{
background-size: 100% 100%;
}
#banner .bannerPhoto img{
height: 100%;
}
.navbar{
margin: 0px;
position: fixed;
width: 100%;
z-index: 100;
background-color: #10101b;
color: white;
grid-area: nav;
display: grid;
grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
grid-template-rows: 1fr auto;
grid-template-areas: 'open save link add dropdown' 'tags tags tags tags tags' ;
grid-gap: 0.5rem;
padding-left: 10px;
border-bottom: #ff90bb solid 0.2rem;
}
.openNav{
	grid-area: open;
}
.saveNav{
	grid-area: save;
}
.linkNav{
	grid-area: link;
}
.addNav{
	grid-area: add;
}
.dropdownNav{
	grid-area: dropdown;
	overflow-x: scroll;
	z-index: 100;
}
#searchbar{
display: none;
}
.navbar button, .navbar .navItem, .navbar input, .link, textarea, textarea:focus, .addWindow button{
background-color: #30303a;
border: none;
border-radius: 5px;
height: 3rem;
font-size: 1rem;
color: #ffffff;
font-weight: 600;
cursor: pointer;
/*margin-left: 5px;*/
padding: 10px;
}
.navbar button:hover, .link, textarea:hover, .addWindow button:hover, #searchbar:hover{
background-color: #282832;
color: #909090;
}
.navbar button img{
height: 1.5rem;
display: inline;
}
#size{
position: absolute;
top: 10px;
right: 40px;
display: none;
}
#searchBar{
width: 200px;
position: absolute;
transform-origin: 0% 0%;
top: 10px;
left: calc(50% - 100px);
text-align: center;
display: none;
}
.content-container{
	grid-area: content;
	display: grid;
	grid-template-columns: 0px auto 0px;
	grid-template-rows: 1fr;
	grid-template-areas: 'profile-nav content blank';
}
.img-content-container{
	grid-area: content;
	overflow-y: scroll;
}
#imgContent{
grid-area: content;
padding: 15px;
display: flex;
align-items: center;
flex-direction: right;
justify-content: center;
flex-wrap: wrap;
}
#dropdown{
grid-area: tags;
position: relative;
display: block;
width: 100%;
}
#dropdown .tag{
	font-size: 1rem;
	font-weight: 800;
	border: 0.2rem solid #30303a;
	color: #ffffff;
	border-radius: 0.5rem;
	padding: 0.5rem;
	background-color: #ffffff00;
	cursor: pointer;
	margin: 0.2rem;
}
#dropdown img{
	height: 1.5rem;
}
#dropdown .refreshBtn{
	background-color: #30303a;
}
.thumbnail{
position: relative;
width: 100%;
flex-shrink: 0;
background-color: #202020;
color: white;
border-radius: 1rem;
margin-top: 0.5rem;
transition: 0.5s;
border-top: none;
}
.thumbnail *{
overflow: hidden;
color: #ffffff;
}
.thumbnail:last-child{
display: none;
}
.thumbTitle{
font-size: 1.2rem;
padding: 0.5rem;
font-weight: 600;
overflow: none;
text-align: right;
padding-right: 1rem;
background-color: #000000a0;
color: #ffffff;
border-radius: 1rem;
position: absolute;
top: 0.5rem;
right: 0.5rem;
}
.thumbnailImage{
width: 100%;
background-size: cover;
background-position: 50% 50%;
display: inline-block;
border: none;
border-radius: 1rem;
background-color: transparent;
transition: 0.2s;
position: relative;
}
.thumbFooter{
display: block;
padding: 1rem;
overflow-y: scroll;
background-color: #000000a0;
margin: 1rem;
}
.tags{
display: inline-block;
color: #707070;
padding: 1rem;
padding-left: 0.5rem;
grid-area: tags;
overflow-x: scroll;
}
.tag{
color: #ffffff;
background-color: #303030;
padding: 0.5rem;
border-radius: 0.5rem;
display: inline;
margin: 0.2rem;
}
.info{
grid-template-columns: 1fr 5rem;
grid-template-rows: 4rem 10rem;
grid-template-areas: 'tags buttons' 'description buttons';
display: grid;
position: absolute;;
bottom: 0px;
width: 100%;
}
.info button, .info a{
	margin: 0.5rem;
	height: 4rem;
	border-radius: 1rem;
}
.info a{
	background-color: #000000a0 !important;
}
.info .btn-parent button img, .info .btn-parent a img{
	height: 1.5rem;
}
.info .btn-parent{
	grid-area: buttons;
	padding: 0px;
	margin: 0.5rem;
}
.info .btn-parent li{
	margin: 0px;
	padding: 0px;
	border: none;
	width: 4rem;
	height: 4rem;
}
.info .btn-parent li button, .info .btn-parent li a{
	list-style-type: none;
	display: block;
	position: relative;
	background-color: #0000;
	border: 0.5rem solid #000000a0;/*#ff90bb*/
	border-radius: 1rem;
	margin: 0px;
	padding: 0px;
	width: 4rem;
	cursor: pointer;
}
.info .btn-parent li .edit{
border-radius: 0rem 0rem 1rem 1rem;
border-top: none;
margin-top: 0px;
}
.info .btn-parent li .link{
text-decoration: none;
background-color: #ff90bb;
border-radius: 1rem 1rem 0rem 0rem;
border: none;
margin-bottom: 0px;
}
.info .btn-parent li .link img{
	position: absolute;
	top: 0px;
	margin-top: auto;
	bottom: 0px;
	margin-bottom: auto;
	left: 0px;
	margin-left: auto;
	right: 0px;
	margin-right: auto;
}
.info .btn-parent .spacer{
	height: 0.5rem;
}
.info .btn-parent li .remove{
	background-color: #ee5050a0;
	border: none;
}
.footer{
grid-area: footer;
background-color: #dfdfdf;
font-size: 1rem;
}
.thumbnail:hover .info{
display: grid;
/*animation: slideOut 0.5s;*/
}
.thumbnail:hover .info *{
/*animation: slideAppear 0.5s;*/
}
@keyframes slideOut{
0%{
width: 0rem;
}
50%{
width: 15rem;
}
100%{

}
}
@keyframes slideAppear{
0%{
background-color: transparent;
color: transparent;
border-color: transparent;
}
50%{
background-color: transparent;
color: transparent;
border-color: transparent;
}
75%{

}
}
.refreshBtn{
display: inline-block !important;
}
.addDialog{
position: fixed;
left: 0px;
right: 0px;
top: 0px;
bottom: 0px;
width: 100%;
height: 100%;
background-color: #000000aa;
display: none;
}
.addWindow{
width: calc(100% - 100px);
max-width: 40rem;
height: calc(100% - 100px);
max-height: 60rem;
background-color: #202025;
margin-left: auto;
margin-right: auto;
margin-top: 70px;
margin-bottom: auto;
padding: 15px;
color: #ffffff;
position: relative;
border-radius: 10px;
}
.addWindow h2{
text-align: center;
}
.addWindow h3, .addWindow h4{
display: inline;
}
.addWindow h4{
color: #ffffff90;
font-size: 0.8em;
}
textarea{
resize: none;
width: 100%;
margin: 0px;
margin-top: 10px;
margin-bottom: 10px;
display: block;
position: relative;
}
#addImage{
height: 120px;
}
.cancel{
position: absolute;
bottom: 10px;
left: 10px;
background-color: #ff5050 !important;
color: #00000080 !important;
}
.cancel:hover{
background-color: #ff7070 !important;
}
.addEdit{
position: absolute;
bottom: 10px;
right: 15px;
background-color: #90ff90 !important;
color: #00000080 !important;
}
.addEdit:hover{
background-color: #d0ffd0 !important;
}
.accentColor{
}

.profileImage{
width: 100%;
}
.profileImage input{
width: 100%;
}
#profilePreview{
width: 15rem;
height: 15rem;
margin-left: auto;
margin-right: auto;
background-color: black;
border-radius: 50%;
}
.profilePic{
width: 5rem;
height: 5rem;
position: absolute;
border-radius: 50%;
margin-top: -1rem;
margin-left: 1rem;
box-shadow: #202025 0px 0px 0px 0.5rem, #ff90bb -0.15rem 0.15rem 0px 0.5rem, #00000080 0px 1rem 1rem 1.5rem;
top: 0px;
}
.profileName{
position: absolute;
background-color: #202025;
margin-top: 2.51rem;
margin-left: 3rem;
font-weight: 800;
padding: 0.5rem;
border-radius: 3rem 1rem 5rem 1rem;
height: 1rem;
box-shadow: #ff90bb 0.15rem 0.15rem 0px 0px, #00000080 1rem 1rem 1rem 0px;
top: 0px;
}
#rawDataEditor{
width: 100%;
height: 50rem;
border-radius: 0px;
color: black;
padding: 0px;
margin: 0px;
background: transparent;
display: block;
font-size: 2rem !important;
}
.profiles{
	display: none;
	position: relative;
	height: 100%;
	width: 0.1rem;
	background-color: #202025;
	box-shadow: black 0px 0px 1rem;
	transition: 0.5s;
	align-content: center;
	grid-area: profile-nav;
}
.profiles .btn-extend{
	background-color: #202025;
	height: 5rem;
	width: 2rem;
	position: absolute;
	top: 50%;
	bottom: 50%;
	border: none;
	border-radius: 0rem 1rem 1rem 0rem;
	cursor: pointer;
	margin-left: 100%;
}
.profiles .btn-extend img{
	width: 1.5rem;
}
.extend{
	width: auto;
}
.profiles *{
	position: relative;
	display: block;
	margin: 0px;
	padding: 0px;
}
.profiles ul{
	overflow-x: hidden;
}
.profiles ul li{
	list-style-type: none;
	margin: 1rem;
}
.profiles ul li button{
	Width: 4rem;
	height: 4rem;
	border: none;
	border-radius: 50%;
}
.loading-screen{
	width: 100%;
	height: 100%;
	background-color: red;
	position: absolute;
	margin: 0px;
	padding: 0px;
}
.hide{
	display: none;
}
/*Old pink: #ff90bb, blue: 10b5ff*/
.info{
	display: none !important;
}
.thumbnail:hover .info, .thumbnail:focus .info, .thumbnail:active .info{
	display: grid !important;
}
.thumbFooter{
	border-radius: 1rem;
}
